Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 15:16
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
LxPup : a Puppy with LXDE as its desktop environment
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 20 of 27 Posts_count   Goto page: Previous 1, 2, 3, ..., 18, 19, 20, 21, 22, ..., 25, 26, 27 Next
Author Message
Chris_W

Joined: 27 Jun 2013
Posts: 26
Location: Wellington, New Zealand

PostPosted: Sat 10 May 2014, 04:37    Post_subject:  

Thanks for the suggestion PeeBee

I tried that, but gave no error messages (and also did nothing).

On LxPup 13.01 I installed acpitools, which worked pretty well.
I did also try it on this pup, but it started to give kernel panics, so I stopped trying with it. I may try it again tho...


cheers Chris_W
Back to top
View user's profile Send_private_message 
Sage

Joined: 04 Oct 2005
Posts: 4797
Location: GB

PostPosted: Sat 10 May 2014, 13:20    Post_subject:  

Finally got the PAE + delta running today - it's OK.
Back to top
View user's profile Send_private_message 
Marv


Joined: 04 May 2005
Posts: 350
Location: SW Wisconsin

PostPosted: Sat 10 May 2014, 19:52    Post_subject:  

peebee wrote:
Chris_W wrote:
One thing I forgot to mention:

I do have a problem which I see on this update which was also on the last one: when I try to use Suspend from the Session Control tab, nothing happens (other than a message saying 'Suspending...')
I've noticed on the 14.03 version (not sp1) that suspend does work when the usb frugal install is totally pristine. But as soon as I've done anything much with it, it stops working...

Any ideas?

cheers Chris_W


Suspending is one of those "tricky" areas I think as it depends so much on how the hardware interacts with the kernel via acpi....

You could try running /etc/acpi/actions/suspend.sh in a terminal and see if there are any error messages....that is all the button on the session control does

cheers
peebee


Hadn't tried the session control suspend previously but it does suspend correctly even after weeks of mucking about on my Pentium M fujitsu s6210, a pretty much all intel lappie with a non-pae frugal install of 14.03.sp1. No acpi related mods at all except for the lid-suspend pet from options. I'll try it on my core 2 duo lappie when I use it again but I'm pretty certain it will work as the lid suspend also works on that and basically after some tests it just calls suspend.sh. So alas, prolly one of those nasty hardware sticky wickets.

_________________
tweaked 412 based boxpup, well honed 'lina-lite-005, alphaOS 321 Wink , X-slacko 2.2n, Lxpup-Tahr, and not to forget trusty Carolina/Carolite (now with 3.17 kernel). All lean and steady pups.
Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Sun 11 May 2014, 02:14    Post_subject:  

Marv wrote:
No acpi related mods at all except for the lid-suspend pet from options.


Thanks Marv - I'd forgotten we had that pet as I don't need to use it on my HP550 laptop - it's in the Show All Options bit of the Options menu or go straight to /opt/lxpup-xtras

ChrisW - can you try the pet and see if it helps?

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
Marv


Joined: 04 May 2005
Posts: 350
Location: SW Wisconsin

PostPosted: Sun 11 May 2014, 11:58    Post_subject:  

peebee wrote:
Marv wrote:
No acpi related mods at all except for the lid-suspend pet from options.


Thanks Marv - I'd forgotten we had that pet as I don't need to use it on my HP550 laptop - it's in the Show All Options bit of the Options menu or go straight to /opt/lxpup-xtras

ChrisW - can you try the pet and see if it helps?

Cheers
peebee


Not too optimistic in ChrisW case as calling suspend.sh directly doesn't seem to work for him and that pet doesn't modify suspend.sh but just how it's called on a lid event but it's real quick to try since it's already onboard and won't interact with anything else but lid events if it's left installed.

_________________
tweaked 412 based boxpup, well honed 'lina-lite-005, alphaOS 321 Wink , X-slacko 2.2n, Lxpup-Tahr, and not to forget trusty Carolina/Carolite (now with 3.17 kernel). All lean and steady pups.
Back to top
View user's profile Send_private_message 
Chris_W

Joined: 27 Jun 2013
Posts: 26
Location: Wellington, New Zealand

PostPosted: Sun 11 May 2014, 19:04    Post_subject:  

PeeBee,

Apologies - only just seen your message. I didn't see the point in trying the lid suspend .pet as it's still based on suspend.sh (as Marv noted).

Suspend.sh does appear to work on a completely fresh frugal install on a usb stick on my ASUS eeepc 701 4G though (Intel pre-Atom! Celeron-M ULV 353 clocked at an impressive 633MHz & Integrated Intel GMA 900 graphics), but stops once I start changing things.

701s aren't much of a target these days, so happy if I need to hack a little to get suspend working somehow...

I did try it with the acpitool .pet (from the forum), which I integrated in so it uses this instead when I hit the suspend button from the session script. It seems to work so far, although I'm half expecting kernel panics later on, esp as it appears this package is meant for 2.x kernels.

Unfortunately I found that the script I hacked to get suspend after x mins non mouse activity (pup_event_frontend_d) in LxPup 13.01 has been replaced with something compiled in LxPup 14.03. No biggie though.

Alternatively (to acpitool), I'm thinking that some condition in suspend.sh is being violated. I possibly could try and figure out what this is... But at present acpitool is working for me.

cheers Chris_W
Back to top
View user's profile Send_private_message 
noverix

Joined: 19 Jan 2014
Posts: 7

PostPosted: Mon 12 May 2014, 01:17    Post_subject: Lxde own menu  

How can I get the original lxde menu to work LxPup precise? It would be easier to start to translate the original menu. The second question is that whether that pmenun to work in the same way the original menu with?
Back to top
View user's profile Send_private_message 
Volhout


Joined: 28 Dec 2008
Posts: 403

PostPosted: Mon 12 May 2014, 03:45    Post_subject: LXpup13.10
Sub_title: that's old...
 

This weekend visitted my brother, and he mentioned het is sooo happy with Lxpup (I installed 13.10 on his PC half a year ago). Het is using it daily for web browsing and mail. Just a frugal install (besides XP), with 512M save file. (I did set cache size for the browser to 0). He never used XP since he has puppy.

PC = HP DV2000 pavilion (Intel core duo, Nvidia graphics)

He is a uncomplicated user, uses WIFI and shuts down the PC after use (so no suspend problems). Printing via WIFI works well for him. He never had any problem with it (I guess I would have heard them... )

Congratulations PeeBee and 01micko and Jejy69 !!
Back to top
View user's profile Send_private_message 
Chris_W

Joined: 27 Jun 2013
Posts: 26
Location: Wellington, New Zealand

PostPosted: Mon 12 May 2014, 05:27    Post_subject:  

PeeBee wrote:
Quote:

ChrisW - can you try the (lidsuspend) pet and see if it helps?


OK - for the record I did try this (after uninstalling acpitool to be sure), just incase it showed up something.

It didn't appear to change the lid shutting behaviour in any way (unfortunately).

So, back to acpitool for me...

cheers Chris_W
btw. sp1 looking excellent as far as I'm concerned ;o)
Well done PeeBee et al
Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Tue 13 May 2014, 14:43    Post_subject: Re: Lxde own menu  

noverix wrote:
How can I get the original lxde menu to work LxPup precise? It would be easier to start to translate the original menu. The second question is that whether that pmenun to work in the same way the original menu with?


Hi noverix

Go to /etc/xdg/menus
Rename lxde-applications.menu to something else
Rename default-lxde-applications.menu to lxde-applications.menu
Restart the window manager

Because the categories in the /usr/share/applications .desktop files do not match the lxde categories you will get a very odd menu with most items put into the "Other" category....

#volhout & #chris_w - many thanks Smile

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
neerajkolte


Joined: 10 Feb 2014
Posts: 298
Location: Pune, India.

PostPosted: Thu 15 May 2014, 09:28    Post_subject: Re: LxPup14.03 : a Puppy with LXDE as its desktop environment
Sub_title: Derivatives of Slacko5.7 and Precise5.7.1 descended from LxPup13.01
 

Hi peebee,
I am using linux from 3 months only, that too only Fatdog64-630.
My system is Intel I3 with 6gb ram.
I have downloaded following files
LxPup-14.03-s-pae.iso
LxPup-14.03-s-pae.iso___LxPup-14.03-s-pae-sp1.iso.delta
As I have 6Gb ram, am I correct in downloading pae version.
I am now at work. I will try them when I get home.


I haven't yet seen what compiz is. But I get that it adds bling to desktop. I would like to use it.
I have heard you have compizpup. Is it different than this or same with compiz pet installed.
(Edit: Downloaded compizpup anyway Wink )

Thanks.

-Neeeraj

_________________
"One of my most productive days was throwing away 1000 lines of code."— Ken Thompson
Back to top
View user's profile Send_private_message 
Billtoo


Joined: 07 Apr 2009
Posts: 2130
Location: Ontario Canada

PostPosted: Sat 17 May 2014, 13:14    Post_subject:  

Manual frugal install to a 400x sdhc card, card is plugged into a usb
card reader, pc is a Macmini.

video-info-glx 1.5.1 Sat 17 May 2014 on LxPup 14.03 Linux 3.10.32 i686
2.0 VGA compatible controller: Intel Corporation Device 0166 (rev 09)
oem: Intel(R) Sandybridge/Ivybridge Graphics Chipset Accelerated VGA BIOS
product: Intel(R) Sandybridge/Ivybridge Graphics Controller Hardware Version 0.0
X Server: Xorg Driver: intel
X.Org version: 1.12.4
dimensions: 1920x1080 pixels (507x285 millimeters)
depth of root window: 24 planes
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) Ivybridge Mobile x86/MMX/SSE2
OpenGL version string: 2.1 Mesa 8.0.4

Intel(R) Core(TM) i5-3210M CPU @ 2.50GHz
Core 0: @1200 1: @1200 2: @1200 3: @1200 MHz

Updated PPM and installed applications, added a couple of pets.
It's working well.
Screenshot.jpg
 Description   
 Filesize   32.84 KB
 Viewed   593 Time(s)

Screenshot.jpg

Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Mon 19 May 2014, 08:18    Post_subject: LxPup 14.03-sp1 released  

19-may-2014

I've uploaded the new iso's for LxPup 14.03-sp1 both non-pae and pae.

Now includes a version change to 14.03.1 so should correctly update 14.03 savefiles.

Delta files have also been updated to match - they update a 14.03.iso to a 14.03-sp1 iso

New md5 after downloading the iso or applying delta should be:
c45782c508980392e753d1d90c86c31c LxPup-14.03-s-pae-sp1.iso
01052900d18666eee04e39bda3e74f16 LxPup-14.03-s-nopae-sp1.iso

Links are in the 1st post.

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
noverix

Joined: 19 Jan 2014
Posts: 7

PostPosted: Thu 29 May 2014, 10:35    Post_subject: Kompozer problem?  

I tried to install the html version of the program lxpup precise, but with little success ... First of all, when you had to start the program, the whole desktop freeze nothing works. I had to forcibly shut down the engine and the starter again, and LXDE desktop does not anymore refused to open at all??

Where this is because of? Needed for the program's website to make absolutely. Kompozer Ubuntu version was, therefore, precise intended.
Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1465
Location: Malvern, Worcs, UK

PostPosted: Thu 29 May 2014, 15:07    Post_subject: Re: Kompozer problem?  

noverix wrote:
I tried to install the html version of the program lxpup precise, but with little success ... First of all, when you had to start the program, the whole desktop freeze nothing works. I had to forcibly shut down the engine and the starter again, and LXDE desktop does not anymore refused to open at all??

Where this is because of? Needed for the program's website to make absolutely. Kompozer Ubuntu version was, therefore, precise intended.


Hi there - bit hard to advise from the info you have provided - I think you have downloaded a version? of Kompozer from the Ubuntu Precise repository? and tried to run it on LxPup Precise flavour?

I would imagine that Kompozer is intended to run on KDE systems - not necessarily on LXDE? There are therefore quite probably missing libraries and dependencies.....

Have you tried:

a. Check dependencies installled pkg from the Setup menu?

b. Running Kompozer in a terminal and seeing whether there are any error messages?

If you change to the Slacko flavour of LxPup then there is a version of Kompozer in the Slacko14 repository:

http://ftp.nluug.nl/ftp/pub/os/Linux/distr/puppylinux/pet_packages-slacko14/kompozer-0.8b3-i686-s.pet

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 20 of 27 Posts_count   Goto page: Previous 1, 2, 3, ..., 18, 19, 20, 21, 22, ..., 25, 26, 27 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1023s ][ Queries: 13 (0.0126s) ][ GZIP on ]